Modify

Opened 22 months ago

Closed 3 months ago

Last modified 2 months ago

#12658 closed defect (fixed)

dot dot failed with code 1

Reported by: Ryan J Ollos Owned by: Ryan J Ollos
Priority: normal Component: MasterTicketsPlugin
Severity: normal Keywords:
Cc: Trac Release:

Description

Numerous error messages found in the logs. I'd like to better understand the cause.

2016-01-30 15:03:05,220 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 52 near '"'

2016-01-30 18:15:53,417 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 35 near '"'

2016-01-31 01:00:46,326 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 37 near '"'
Warning: syntax ambiguity - badly delimited number '100p' in line 72 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '0p' in line 1272 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '5B' in line 2302 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '20O' in line 2302 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '5D' in line 2302 of <stdin> splits into two tokens

2016-01-31 01:01:12,688 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 37 near '"'
Warning: syntax ambiguity - badly delimited number '100p' in line 72 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '0p' in line 1272 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '5B' in line 2302 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '20O' in line 2302 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '5D' in line 2302 of <stdin> splits into two tokens

2016-01-31 01:01:37,583 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 37 near '"'
Warning: syntax ambiguity - badly delimited number '100p' in line 72 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '0p' in line 1272 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '5B' in line 2302 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '20O' in line 2302 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '5D' in line 2302 of <stdin> splits into two tokens

2016-01-31 01:02:00,386 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 37 near '"'
Warning: syntax ambiguity - badly delimited number '100p' in line 72 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '0p' in line 1272 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '5B' in line 2302 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '20O' in line 2302 of <stdin> splits into two tokens
Warning: syntax ambiguity - badly delimited number '5D' in line 2302 of <stdin> splits into two tokens
2016-01-29 15:07:48,050 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 18 near '>'

2016-01-29 15:32:06,940 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 12 near ':'

2016-01-29 22:36:39,329 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 5 near '"'

2016-01-29 23:30:09,359 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 5 near '"'

2016-01-30 04:45:02,440 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 44 near '"'

2016-01-30 04:45:13,260 Trac[graphviz] ERROR: dot dot failed with code 1: Error: <stdin>: syntax error in line 1495 near '['

Attachments (0)

Change History (4)

comment:1 Changed 3 months ago by Ryan J Ollos

In 16788:

TracMasterTickets 4.0.2dev: Improve logging when dot command fails

Refs #12658.

comment:2 Changed 3 months ago by Ryan J Ollos

Resolution: fixed
Status: newclosed

I'll commit changes against this ticket if anything new is discovered after r16788.

comment:3 Changed 2 months ago by Ryan J Ollos

In 16813:

TracMasterTickets 4.0.2dev: Print commands as string rather than list

Refs #12658.

comment:4 Changed 2 months ago by Ryan J Ollos

2017-09-19 13:40:52,490 Trac[graphviz] WARNING: dot command 'dot -Tpng' failed with code 0: dot: graph is too large for cairo-renderer bitmaps. Scaling by 0.15392 to fit

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Ryan J Ollos.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.